List accounting category rollups (deprecated)
Deprecated
GET
/api/accounting/category-rollups
const url = 'https://api.getvespy.com/api/accounting/category-rollups?startDate=2026-04-15&endDate=2026-04-15&basis=accrual';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/accounting/category-rollups?startDate=2026-04-15&endDate=2026-04-15&basis=accrual' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”startDate
required
string format: date
endDate
required
string format: date
basis
string
propertyId
string format: uuid
unitId
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
rollups
required
Array<object>
object
categoryCode
required
string
netAmountCents
required
integer
transactionCount
required
integer
Examplegenerated
{ "rollups": [ { "categoryCode": "example", "netAmountCents": 1, "transactionCount": 1 } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}